Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class TestConversation

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.springframework.test.ConditionalTestCase
                  org.springframework.test.AbstractSpringContextTests
                      org.springframework.test.AbstractSingleSpringContextTests
                          org.springframework.test.AbstractDependencyInjectionSpringContextTests
                              org.apache.myfaces.orchestra.conversation.TestConversation

All Implemented Interfaces:
  junit.framework.Test, org.apache.myfaces.orchestra.conversation.ConversationBindingListener

    public class TestConversation

extends org.springframework.test.AbstractDependencyInjectionSpringContextTests
implements org.apache.myfaces.orchestra.conversation.ConversationBindingListener

Test various aspects of the conversation handling

Field Summary

Fields inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests
`AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_NO`

Fields inherited from class org.springframework.test.AbstractSingleSpringContextTests
`applicationContext`

Fields inherited from class org.springframework.test.ConditionalTestCase
`logger`

Constructor Summary
`TestConversation()`

Method Summary
`protected java.lang.String[]` | `getConfigLocations()`
`protected void` | `onSetUp()`
`void` | `testConversation()`
`void` | `valueBound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)`
`void` | `valueUnbound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)`

Methods inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests
`getAutowireMode, injectDependencies, isDependencyCheck, isPopulateProtectedVariables, prepareTestInstance, setAutowireMode, setDependencyCheck, setPopulateProtectedVariables`

Methods inherited from class org.springframework.test.AbstractSingleSpringContextTests
`contextKey, createApplicationContext, customizeBeanFactory, getApplicationContext, getConfigPath, getConfigPaths, getLoadCount, loadContext, loadContextLocations, onTearDown, setDirty, setUp, tearDown`

Methods inherited from class org.springframework.test.AbstractSpringContextTests
`addContext, contextKeyString, getContext, hasCachedContext, setDirty`

Methods inherited from class org.springframework.test.ConditionalTestCase
`getDisabledTestCount, isDisabledInThisEnvironment, recordDisabled, runBare`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestConversation

    public TestConversation()

Method Detail

### getConfigLocations

    protected java.lang.String[] getConfigLocations()

  Overrides:
    `getConfigLocations` in class `org.springframework.test.AbstractSingleSpringContextTests`

### onSetUp

    protected void onSetUp()
                    throws java.lang.Exception

  Overrides:
    `onSetUp` in class `org.springframework.test.AbstractSingleSpringContextTests`
  Throws:
    `java.lang.Exception`

### testConversation

    public void testConversation()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### valueBound

    public void valueBound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)

  Specified by:
    `valueBound` in interface `org.apache.myfaces.orchestra.conversation.ConversationBindingListener`

### valueUnbound

    public void valueUnbound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)

  Specified by:
    `valueUnbound` in interface `org.apache.myfaces.orchestra.conversation.ConversationBindingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.